# tst/testall.g RAQ

LoadPackage( "RAQ" );

tst_path := DirectoriesPackageLibrary("RAQ", "tst");

TestDirectory(tst_path,
              rec(exitGAP := false,
                  testOptions := rec(compareFunction := "uptowhitespace"))
             );

# Now make sure the manual tests are up to date

doc_path := DirectoriesPackageLibrary("RAQ", "doc");
makedoc_file := Filename(doc_path, "makedoc.g");

RAQ_makedoc_no_quit := true;
Info(InfoRAQ, 1, "Generating RAQ documentation..\n\n");
Read(makedoc_file);

auto_file := Filename(tst_path, "AutoDoc_tests.g");

if auto_file <> fail then
  Read(auto_file);
else
  Info(InfoWarning, 1, "Warning: Cannot find AutoDoc_tests.g. Run `gap doc/makedoc.g` in the RAQ package directory.");
fi;
